#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: pry 0.14.2 ruby lib

Gem::Specification.new do |s|
  s.name = "pry".freeze
  s.version = "0.14.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/pry/pry/issues", "changelog_uri" => "https://github.com/pry/pry/blob/master/CHANGELOG.md", "source_code_uri" => "https://github.com/pry/pry" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["John Mair (banisterfiend)".freeze, "Conrad Irwin".freeze, "Ryan Fitzgerald".freeze, "Kyrylo Silin".freeze]
  s.date = "2023-01-09"
  s.description = "Pry is a runtime developer console and IRB alternative with powerful\nintrospection capabilities. Pry aims to be more than an IRB replacement. It is\nan attempt to bring REPL driven programming to the Ruby language.\n".freeze
  s.email = ["jrmair@gmail.com".freeze, "conrad.irwin@gmail.com".freeze, "rwfitzge@gmail.com".freeze, "silin@kyrylo.org".freeze]
  s.executables = ["pry".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE".freeze, "README.md".freeze, "bin/pry".freeze, "lib/pry.rb".freeze, "lib/pry/basic_object.rb".freeze, "lib/pry/block_command.rb".freeze, "lib/pry/class_command.rb".freeze, "lib/pry/cli.rb".freeze, "lib/pry/code.rb".freeze, "lib/pry/code/code_file.rb".freeze, "lib/pry/code/code_range.rb".freeze, "lib/pry/code/loc.rb".freeze, "lib/pry/code_object.rb".freeze, "lib/pry/color_printer.rb".freeze, "lib/pry/command.rb".freeze, "lib/pry/command_set.rb".freeze, "lib/pry/command_state.rb".freeze, "lib/pry/commands/amend_line.rb".freeze, "lib/pry/commands/bang.rb".freeze, "lib/pry/commands/bang_pry.rb".freeze, "lib/pry/commands/cat.rb".freeze, "lib/pry/commands/cat/abstract_formatter.rb".freeze, "lib/pry/commands/cat/exception_formatter.rb".freeze, "lib/pry/commands/cat/file_formatter.rb".freeze, "lib/pry/commands/cat/input_expression_formatter.rb".freeze, "lib/pry/commands/cd.rb".freeze, "lib/pry/commands/change_inspector.rb".freeze, "lib/pry/commands/change_prompt.rb".freeze, "lib/pry/commands/clear_screen.rb".freeze, "lib/pry/commands/code_collector.rb".freeze, "lib/pry/commands/disable_pry.rb".freeze, "lib/pry/commands/easter_eggs.rb".freeze, "lib/pry/commands/edit.rb".freeze, "lib/pry/commands/edit/exception_patcher.rb".freeze, "lib/pry/commands/edit/file_and_line_locator.rb".freeze, "lib/pry/commands/exit.rb".freeze, "lib/pry/commands/exit_all.rb".freeze, "lib/pry/commands/exit_program.rb".freeze, "lib/pry/commands/find_method.rb".freeze, "lib/pry/commands/fix_indent.rb".freeze, "lib/pry/commands/help.rb".freeze, "lib/pry/commands/hist.rb".freeze, "lib/pry/commands/import_set.rb".freeze, "lib/pry/commands/jump_to.rb".freeze, "lib/pry/commands/list_inspectors.rb".freeze, "lib/pry/commands/ls.rb".freeze, "lib/pry/commands/ls/constants.rb".freeze, "lib/pry/commands/ls/formatter.rb".freeze, "lib/pry/commands/ls/globals.rb".freeze, "lib/pry/commands/ls/grep.rb".freeze, "lib/pry/commands/ls/instance_vars.rb".freeze, "lib/pry/commands/ls/interrogatable.rb".freeze, "lib/pry/commands/ls/jruby_hacks.rb".freeze, "lib/pry/commands/ls/local_names.rb".freeze, "lib/pry/commands/ls/local_vars.rb".freeze, "lib/pry/commands/ls/ls_entity.rb".freeze, "lib/pry/commands/ls/methods.rb".freeze, "lib/pry/commands/ls/methods_helper.rb".freeze, "lib/pry/commands/ls/self_methods.rb".freeze, "lib/pry/commands/nesting.rb".freeze, "lib/pry/commands/play.rb".freeze, "lib/pry/commands/pry_backtrace.rb".freeze, "lib/pry/commands/pry_version.rb".freeze, "lib/pry/commands/raise_up.rb".freeze, "lib/pry/commands/reload_code.rb".freeze, "lib/pry/commands/reset.rb".freeze, "lib/pry/commands/ri.rb".freeze, "lib/pry/commands/save_file.rb".freeze, "lib/pry/commands/shell_command.rb".freeze, "lib/pry/commands/shell_mode.rb".freeze, "lib/pry/commands/show_doc.rb".freeze, "lib/pry/commands/show_info.rb".freeze, "lib/pry/commands/show_input.rb".freeze, "lib/pry/commands/show_source.rb".freeze, "lib/pry/commands/stat.rb".freeze, "lib/pry/commands/switch_to.rb".freeze, "lib/pry/commands/toggle_color.rb".freeze, "lib/pry/commands/watch_expression.rb".freeze, "lib/pry/commands/watch_expression/expression.rb".freeze, "lib/pry/commands/whereami.rb".freeze, "lib/pry/commands/wtf.rb".freeze, "lib/pry/config.rb".freeze, "lib/pry/config/attributable.rb".freeze, "lib/pry/config/lazy_value.rb".freeze, "lib/pry/config/memoized_value.rb".freeze, "lib/pry/config/value.rb".freeze, "lib/pry/control_d_handler.rb".freeze, "lib/pry/core_extensions.rb".freeze, "lib/pry/editor.rb".freeze, "lib/pry/env.rb".freeze, "lib/pry/exception_handler.rb".freeze, "lib/pry/exceptions.rb".freeze, "lib/pry/forwardable.rb".freeze, "lib/pry/helpers.rb".freeze, "lib/pry/helpers/base_helpers.rb".freeze, "lib/pry/helpers/command_helpers.rb".freeze, "lib/pry/helpers/documentation_helpers.rb".freeze, "lib/pry/helpers/options_helpers.rb".freeze, "lib/pry/helpers/platform.rb".freeze, "lib/pry/helpers/table.rb".freeze, "lib/pry/helpers/text.rb".freeze, "lib/pry/history.rb".freeze, "lib/pry/hooks.rb".freeze, "lib/pry/indent.rb".freeze, "lib/pry/input_completer.rb".freeze, "lib/pry/input_lock.rb".freeze, "lib/pry/inspector.rb".freeze, "lib/pry/last_exception.rb".freeze, "lib/pry/method.rb".freeze, "lib/pry/method/disowned.rb".freeze, "lib/pry/method/patcher.rb".freeze, "lib/pry/method/weird_method_locator.rb".freeze, "lib/pry/object_path.rb".freeze, "lib/pry/output.rb".freeze, "lib/pry/pager.rb".freeze, "lib/pry/prompt.rb".freeze, "lib/pry/pry_class.rb".freeze, "lib/pry/pry_instance.rb".freeze, "lib/pry/repl.rb".freeze, "lib/pry/repl_file_loader.rb".freeze, "lib/pry/ring.rb".freeze, "lib/pry/slop.rb".freeze, "lib/pry/slop/LICENSE".freeze, "lib/pry/slop/commands.rb".freeze, "lib/pry/slop/option.rb".freeze, "lib/pry/syntax_highlighter.rb".freeze, "lib/pry/system_command_handler.rb".freeze, "lib/pry/testable.rb".freeze, "lib/pry/testable/evalable.rb".freeze, "lib/pry/testable/mockable.rb".freeze, "lib/pry/testable/pry_tester.rb".freeze, "lib/pry/testable/utility.rb".freeze, "lib/pry/testable/variables.rb".freeze, "lib/pry/version.rb".freeze, "lib/pry/warning.rb".freeze, "lib/pry/wrapped_module.rb".freeze, "lib/pry/wrapped_module/candidate.rb".freeze]
  s.homepage = "http://pry.github.io".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.3.15".freeze
  s.summary = "A runtime developer console and IRB alternative with powerful introspection capabilities.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<coderay>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<method_source>.freeze, ["~> 1.0"])
  else
    s.add_dependency(%q<coderay>.freeze, ["~> 1.1"])
    s.add_dependency(%q<method_source>.freeze, ["~> 1.0"])
  end
end
